//----------------------------------------------------------------------------
// 
//	file: log.h
// 
//	function:  
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Fri Jul 17 03:52:29 CDT 1998
// 
//	$Revision: 1.1 $ $Date: 1998/07/23 01:07:05 $
//	$Log: log.h,v $
//	Revision 1.1  1998/07/23 01:07:05  yschoe
//	jul22 stable version (except netlayer)
//
//
//----------------------------------------------------------------------------
#ifndef __LOG_H
#define __LOG_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <time.h>

enum Log_stat {LOG_OPEN, LOG_CLOSED};

class log {

  FILE	*fp;	// default file pointer
  char 	*filename; // file name
  Log_stat filestat; // file status

public:

  	log(char *comment, char *filename);
 	~log(); 

  void add(const char *format, ...);	  // add log entry to an open log file
  void append(const char *format, ...); // append log to a closed log file
	
private:
	
  void timestamp(); // print timestamp to fp

};
#endif
