#!/usr/bin/wish

label .inp -text "Expression" -justify left; pack .inp 
entry .input -textvariable expression -relief sunken -border 3 \
	-width 40  -background white
pack .input -padx 10 -pady 10 
set count 0
bind .input <Return> { \
	if {[string length $expression] < 1} {	
		set result "* Empty Expression *" 
		set history{$count} $expression
		incr count
	} else {
		set result "= [expr $expression]" }
	}

label .out -text "Result" -justify left; pack .out 
entry .output -textvariable result -relief sunken -border 3 -background white \
	-width 40 
pack .output -padx 10 -pady 10

frame .buttons ; pack .buttons -padx 10 -pady 10
button .buttons.clear -text "Clear" -command { set expression "" ; \
		set result ""; }
pack .buttons.clear -padx 5 -side left;

button .buttons.quit -text "Quit" -command { exit; }
pack .buttons.quit -padx 5 -side left;


