#!/bin/sh

TMPFILE=$$.bin

TMPPSFILE=$$.ps

if [ $# == 0 ] ; then
	echo "printing from stdin"
	cat > $TMPPSFILE
fi

if [ $# == 1 ] ; then
	
	echo "printing one file"
	cp $1 $TMPPSFILE
fi

if [ "`file $TMPPSFILE | awk '{print $2}'`" == "PostScript" ]; then
	echo "	- PostScript file detected -- printing."
	gs -dBATCH -dNOPAUSE -sDEVICE=bjc600 -sOutputFile=$TMPFILE $TMPPSFILE
	cat $TMPFILE > /dev/usb/lp0
	echo "done"
	exit
fi

if [ "`file $TMPPSFILE | awk '{print $2}'`" == "ASCII" ]; then
	echo "	- ASCII file detected -- printing."
	cat $TMPPSFILE > /dev/usb/lp0
	echo "done"
	exit
else
	echo "	- file is not in a recognized format. Aborting"
	echo "done"
	exit
fi
