# function M = orenergy(X,k_size,theta,freq)
 

function M = orenergy(X,k_size,theta,freq)

	d = dogfilter(X,k_size);

	c = conv2(d,gabor(k_size,k_size,"cos",theta,freq),"same");
	s = conv2(d,gabor(k_size,k_size,"sin",theta,freq),"same");

	M = (real(c)).^2 + (real(s)).^2;

endfunction

	
